#!/bin/csh -f

set CHAPTERS = ( \
	Introduction \
	Speech-analysis \
	LPC-analysis \
	LPC-analysis-ex \
	DP \
	DP-ex \
	LPC-distance-measures \
	LPC-distance-measures-ex \
	VQ \
	VQ-ex \
	HMM \
	HMM-ex \
	VID \
	VID-ex \
	Decomposition \
	MCE \
	Retrieval )

foreach chapter ( $CHAPTERS ) 

	echo "------ $chapter ------"
	if( -e $chapter ) rm -r $chapter; mkdir $chapter
	echo '\input{'$chapter.tex'}' > line.tex
	cat head.tex line.tex tail.tex > text.tex
	platex text > /dev/null; platex text | grep -i error
	set NUM = `grep '\[' text.log | tail -1 | tr '\[' '\012' | tail -1`

	echo -n "total page:" $NUM "| " 
	@ num=1
	while ( $num <= $NUM )
	  echo -n "$num "
	  (dvips -p $num -l $num -t landscape text.dvi > $chapter/$num.ps) |& grep "is not"
	  @ num++
	end
	echo " "
end

exit




